Watchmaker Wiki

The ultimate watch maker for Android Wear!

User Tools

Site Tools


wear1

Wear 1.0 Devices

From September 2019, WatchMaker will no longer support Wear 1.0 devices.

This is because Wear 1.0 devices have always required including the APK for both mobile and wear apps inside the main download file from Google Play. This has meant a download size of 50% larger than it needs to be for all non Wear 1.0 users (over 99% users).

Since the new requirement for 64-bit apps in August 2019, the increased APK size for maintaining Wear 1.0 support would now be 100% larger owing to having to include 32 and 64-bit versions of the native code.

Users who still have Wear 1.0 devices can still download legacy WatchMaker from the below URL :

https://watchfrenzy.s3.amazonaws.com/apk/watchmaker_wear1.apk

wear1.txt · Last modified: 2019/09/04 12:19 by alexcurran1